Package org.silverpeas.components.kmelia

## Class KmeliaPasteDetail

- java.lang.Object
- - org.silverpeas.components.kmelia.KmeliaPasteDetail

-     public class KmeliaPasteDetail
      extends Object

  Author:
    Nicolas Eysseric

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KmeliaPasteDetail​(org.silverpeas.core.node.model.NodePK toNode)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.silverpeas.core.node.model.NodePK` | `getFromPK()` |
    `String` | `getStatus()` |
    `String` | `getTargetValidatorIds()` |
    `org.silverpeas.core.node.model.NodePK` | `getToPK()` |
    `String` | `getUserId()` |
    `void` | `setFromPK​(org.silverpeas.core.node.model.NodePK fromPK)` |
    `void` | `setStatus​(String status)` |
    `void` | `setTargetValidatorIds​(String ids)` |
    `void` | `setUserId​(String userId)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KmeliaPasteDetail

          public KmeliaPasteDetail​(org.silverpeas.core.node.model.NodePK toNode)

  - ### Method Detail

    - #### getUserId

          public String getUserId()

    - #### setUserId

          public void setUserId​(String userId)

    - #### getToPK

          public org.silverpeas.core.node.model.NodePK getToPK()

    - #### getFromPK

          public org.silverpeas.core.node.model.NodePK getFromPK()

    - #### setFromPK

          public void setFromPK​(org.silverpeas.core.node.model.NodePK fromPK)

    - #### getTargetValidatorIds

          public String getTargetValidatorIds()

    - #### setTargetValidatorIds

          public void setTargetValidatorIds​(String ids)

    - #### getStatus

          public String getStatus()

    - #### setStatus

          public void setStatus​(String status)